"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitDiffFile
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitDiffFile class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^320
! !

!GitDiffFile methodsFor:'accessing'!

flags
    "Returns unsigned 
		int32"

    ^self longAt:1 + 32
!

flags: value

    self longAt:1 + 32 put:value
!

mode
    "Returns a Cface::CShortNode"

    ^self longAt:1 + 36
!

mode: value

    self longAt:1 + 36 put:value
!

oid
    "Returns ;; Line: 1476
;; Class: GitOid
"

    ^self at:1 + 0
!

oid: value

    self at:1 + 0 put:value
!

path
    "Returns (pointer-to char)"

    ^self pointerAt:1 + 20
!

path: value

    self pointerAt:1 + 20 put:value
!

size
    "Returns a Cface::CLongNode"

    ^self longLongAt:1 + 24
!

size: value

    self longLongAt:1 + 24 put:value
! !

!GitDiffFile class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
