"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitDiffRange
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitDiffRange class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^128
! !

!GitDiffRange methodsFor:'accessing'!

newLines
    "Returns int32"

    ^self longAt:1 + 12
!

newLines: value

    self longAt:1 + 12 put:value
!

newStart
    "Returns int32"

    ^self longAt:1 + 8
!

newStart: value

    self longAt:1 + 8 put:value
!

oldLines
    "Returns int32"

    ^self longAt:1 + 4
!

oldLines: value

    self longAt:1 + 4 put:value
!

oldStart
    "Returns int32"

    ^self longAt:1 + 0
!

oldStart: value

    self longAt:1 + 0 put:value
! !

!GitDiffRange class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
