"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitIndexTime
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitIndexTime class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^96
! !

!GitIndexTime methodsFor:'accessing'!

nanoseconds
    "Returns unsigned 
		int32"

    ^self longAt:1 + 8
!

nanoseconds: value

    self longAt:1 + 8 put:value
!

seconds
    "Returns a Cface::CLongNode"

    ^self longLongAt:1 + 0
!

seconds: value

    self longLongAt:1 + 0 put:value
! !

!GitIndexTime class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
