"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitRemoteCallbacks
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitRemoteCallbacks class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^128
! !

!GitRemoteCallbacks methodsFor:'accessing'!

completion
    "Returns (pointer-to ;; Line: 3643
)"

    ^self pointerAt:1 + 4
!

completion: value

    self pointerAt:1 + 4 put:value
!

data
    "Returns (pointer-to void)"

    ^self pointerAt:1 + 12
!

data: value

    self pointerAt:1 + 12 put:value
!

progress
    "Returns (pointer-to ;; Line: 3636
)"

    ^self pointerAt:1 + 0
!

progress: value

    self pointerAt:1 + 0 put:value
!

updateTips
    "Returns (pointer-to ;; Line: 3652
)"

    ^self pointerAt:1 + 8
!

updateTips: value

    self pointerAt:1 + 8 put:value
! !

!GitRemoteCallbacks class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
