"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitRemoteHead
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitRemoteHead class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^384
! !

!GitRemoteHead methodsFor:'accessing'!

local
    "Returns int32"

    ^self longAt:1 + 0
!

local: value

    self longAt:1 + 0 put:value
!

loid
    "Returns ;; Line: 1476
;; Class: GitOid
"

    ^self at:1 + 21
!

loid: value

    self at:1 + 21 put:value
!

name
    "Returns (pointer-to char)"

    ^self pointerAt:1 + 44
!

name: value

    self pointerAt:1 + 44 put:value
!

oid
    "Returns ;; Line: 1476
;; Class: GitOid
"

    ^self at:1 + 1
!

oid: value

    self at:1 + 1 put:value
! !

!GitRemoteHead class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
