"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitSignature
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitSignature class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^160
! !

!GitSignature methodsFor:'accessing'!

email
    "Returns (pointer-to char)"

    ^self pointerAt:1 + 4
!

email: value

    self pointerAt:1 + 4 put:value
!

name
    "Returns (pointer-to char)"

    ^self pointerAt:1 + 0
!

name: value

    self pointerAt:1 + 0 put:value
!

when
    "Returns ;; Line: 2991
;; Class: GitTime
"

    ^self at:1 + 8
!

when: value

    self at:1 + 8 put:value
! !

!GitSignature class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
