"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitCheckoutOpts
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitCheckoutOpts class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^160
! !

!GitCheckoutOpts methodsFor:'accessing'!

dirMode
    "Returns int32"

    ^self longAt:1 + 8
!

dirMode: value

    self longAt:1 + 8 put:value
!

disableFilters
    "Returns int32"

    ^self longAt:1 + 4
!

disableFilters: value

    self longAt:1 + 4 put:value
!

existingFileAction
    "Returns int32"

    ^self longAt:1 + 0
!

existingFileAction: value

    self longAt:1 + 0 put:value
!

fileMode
    "Returns int32"

    ^self longAt:1 + 12
!

fileMode: value

    self longAt:1 + 12 put:value
!

fileOpenFlags
    "Returns int32"

    ^self longAt:1 + 16
!

fileOpenFlags: value

    self longAt:1 + 16 put:value
! !

!GitCheckoutOpts class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
