"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitError class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^64
! !

!GitError methodsFor:'accessing'!

klass
    "Returns int32"

    ^self longAt:1 + 4
!

klass: value

    self longAt:1 + 4 put:value
!

message
    "Returns (pointer-to char)"

    ^self pointerAt:1 + 0
!

message: value

    self pointerAt:1 + 0 put:value
! !

!GitError class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
