"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitIndexEntryUnmerged
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitIndexEntryUnmerged class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^608
! !

!GitIndexEntryUnmerged methodsFor:'accessing'!

mode
    "Returns a Cface::CArrayNode"

    ^self at:1 + 0
!

mode: value

    self at:1 + 0 put:value
!

oid
    "Returns a Cface::CArrayNode"

    ^self at:1 + 12
!

oid: value

    self at:1 + 12 put:value
!

path
    "Returns (pointer-to char)"

    ^self pointerAt:1 + 72
!

path: value

    self pointerAt:1 + 72 put:value
! !

!GitIndexEntryUnmerged class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
