"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitIndexerStats
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitIndexerStats class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^96
! !

!GitIndexerStats methodsFor:'accessing'!

processed
    "Returns unsigned 
		int32"

    ^self longAt:1 + 4
!

processed: value

    self longAt:1 + 4 put:value
!

received
    "Returns unsigned 
		int32"

    ^self longAt:1 + 8
!

received: value

    self longAt:1 + 8 put:value
!

total
    "Returns unsigned 
		int32"

    ^self longAt:1 + 0
!

total: value

    self longAt:1 + 0 put:value
! !

!GitIndexerStats class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
