"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitNoteData
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitNoteData class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^320
! !

!GitNoteData methodsFor:'accessing'!

annotatedObjectOid
    "Returns ;; Line: 1476
;; Class: GitOid
"

    ^self at:1 + 20
!

annotatedObjectOid: value

    self at:1 + 20 put:value
!

blobOid
    "Returns ;; Line: 1476
;; Class: GitOid
"

    ^self at:1 + 0
!

blobOid: value

    self at:1 + 0 put:value
! !

!GitNoteData class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
