"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitStrarray
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitStrarray class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^64
! !

!GitStrarray methodsFor:'accessing'!

count
    "Returns a Cface::CLongNode"

    ^self longLongAt:1 + 4
!

count: value

    self longLongAt:1 + 4 put:value
!

strings
    "Returns (pointer-to (pointer-to char))"

    ^self pointerAt:1 + 0
!

strings: value

    self pointerAt:1 + 0 put:value
! !

!GitStrarray class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
