"{ Package: 'stx:libscm/git' }"

ExternalStructure subclass:#GitTime
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitTime class methodsFor:'accessing'!

libraryName

    OperatingSystem isUNIXlike ifTrue:[^'libgit2.so'].

    OperatingSystem isMSWINDOWSlike ifTrue:[^'git2.dll'].

    self error:'Library name for host OS is not known'
!

structSize

    ^96
! !

!GitTime methodsFor:'accessing'!

offset
    "Returns int32"

    ^self longAt:1 + 8
!

offset: value

    self longAt:1 + 8 put:value
!

time
    "Returns a Cface::CLongNode"

    ^self longLongAt:1 + 0
!

time: value

    self longLongAt:1 + 0 put:value
! !

!GitTime class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
